/**@file PntWxTools.h: Special functions for transfering data from points to wx - prototypes. */
#ifndef __PNTWX_TOOLS_H__
#define __PNTWX_TOOLS_H__

/** After editbox is changed, actualise a given point. */
void PropagateEditboxChange(wxTextCtrl *TxtVal, Point *PntVal);

/** Try to check whether point has been changed, if so actualise textbox. */
void CheckEditboxAndPoint(wxTextCtrl *TxtVal, Point *PntVal);

/** Update textbox according to a point. */
void UpdateValueFromPnt(wxTextCtrl *TxtVal, Point *PntVal);

#endif //__PNTWX_TOOLS_H__